org.apache.solr.client.solrj.request.schema

## Class SchemaRequest.AddCopyField

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<T>
  - - org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest<SchemaResponse.UpdateResponse>
    - - org.apache.solr.client.solrj.request.schema.SchemaRequest.Update
      - - org.apache.solr.client.solrj.request.schema.SchemaRequest.AddCopyField

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    SchemaRequest

      public static class SchemaRequest.AddCopyField
      extends SchemaRequest.Update

  Adds a new copy field rule to the schema of the specified collection.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddCopyField(String source, List<String> dest)` Creates a new instance of the request.
    `AddCopyField(String source, List<String> dest, Integer maxChars)` Creates a new instance of the request.
    `AddCopyField(String source, List<String> dest, Integer maxChars, SolrParams q)`
    `AddCopyField(String source, List<String> dest, SolrParams q)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.SchemaRequest.Update

      `createResponse, getContentStreams`

    - ### Methods inherited from class org.apache.solr.client.solrj.request.schema.AbstractSchemaRequest

      `getParams`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddCopyField

          public AddCopyField(String source,
                              List<String> dest)

      Creates a new instance of the request.
      Parameters:
        `source` - the source field name
        `dest` - the collection of the destination field names
      See Also:
        Copying fields

    - #### AddCopyField

          public AddCopyField(String source,
                              List<String> dest,
                              Integer maxChars)

      Creates a new instance of the request.
      Parameters:
        `source` - the source field name
        `dest` - the collection of the destination field names
        `maxChars` - the number of characters to be copied from the source to the dest. Specifying 0 as value, means that all the source characters will be copied to the dest.
      See Also:
        Copying fields

    - #### AddCopyField

          public AddCopyField(String source,
                              List<String> dest,
                              SolrParams q)

    - #### AddCopyField

          public AddCopyField(String source,
                              List<String> dest,
                              Integer maxChars,
                              SolrParams q)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.